CPU_ROOTCONF(9)

NAME
cpu_rootconf, setroot - root file system setup

SYNOPSIS
#include <sys/types.h>
#include <sys/systm.h>
void
cpu_rootconf(void);
void
setroot(device_t bootdv, int bootpartition);

DESCRIPTION
The cpu_rootconf() is a machine-dependent interface invoked during system bootstrap to determine the root file system device and initialize machine-dependent file system state.

The cpu_rootconf() function invokes the machine-independent setroot() function to record the boot/root device bootdv and the boot partition information bootpartition for use in machine-independent code.

SEE ALSO
boot(8), boothowto(9)